import request from "@/utils/request";

// 查询连网历史列表
export function listNetHistory(query) {
  return request({
    url: "/netEwm/netHistory/list",
    method: "get",
    params: query,
    headers: {
      isToken: false,
    },
  });
}

// 查询连网历史详细
export function getNetHistory(id) {
  return request({
    url: "/netEwm/netHistory/" + id,
    method: "get",
    headers: {
      isToken: false,
    },
  });
}

// 新增连网历史
export function addNetHistory(data) {
  return request({
    url: "/netEwm/netHistory",
    method: "post",
    data: data,
    headers: {
      isToken: false,
    },
  });
}

// 修改连网历史
export function updateNetHistory(data) {
  return request({
    url: "/netEwm/netHistory",
    method: "put",
    data: data,
    headers: {
      isToken: false,
    },
  });
}

// 删除连网历史
export function delNetHistory(id) {
  return request({
    url: "/netEwm/netHistory/" + id,
    method: "delete",
    headers: {
      isToken: false,
    },
  });
}
